Please merge python-boto 1.9b-4 (main) from debian unstable (main)

Bug #788651 reported by Scott Moser
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
python-boto (Ubuntu)
Undecided
Unassigned

Bug Description

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

the missing changelog entries are:

python-boto (1.9b-4) unstable; urgency=low

  * Do not require Name param on RegisterImage (Closes: #591466).

 -- Eric Evans <email address hidden> Tue, 03 Aug 2010 11:41:59 -0400

python-boto (1.9b-3) unstable; urgency=low

  * Strings exceptions are not allowed in Python 2.6 (Closes: #585284).

 -- Eric Evans <email address hidden> Wed, 07 Jul 2010 19:36:13 +0000

python-boto (1.9b-2) unstable; urgency=low

  * Depend on versions of Python >= 2.5 (Closes: #563439).

 -- Eric Evans <email address hidden> Wed, 06 Jan 2010 12:20:56 -0600

 affects ubuntu/python-boto
 assignee smoser
 status inprogress
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJN3mfEAAoJEB5EEKQCS8bwwRUP/3R1SzohRYG64kf8/Fk8Shke
jfzy+Y25LI0JJe9llBs5e/RmBYyxqIMvmUMeNlZPWCZQZg91z2hlh0m7UXiWCjHY
fUygWQBNktiCGI/v7rAHvIirEr6/SfO09wVWZWZFcVmJoMuROKTaCogmn6duVNDV
nPu+DokCR1/017qdNX0Eg5MQISsUyOU6Vua9HeJ6vYCKPH40F0dftmqdhbm96C36
/IqBdsrMy46Y1UeywojYNaEeMEaUEAgNN/OvptOpghLULYksGtcYpu9r0+7rmEXV
XeMRbsv3kb/tyDlyNIA7L20wwLHSTqrgrWWuzy/JoB/vt9cISO2pGODBEqfjpW6X
qB0Qyvox2woSY+FBW/v1q5OXyiUOlqQENFgKL9nRNtAqFu4+TqZc+eHSTMTp0itm
fkwOjGM1dKwkQ6l4S50v2PmeKkp/4cDNwTTSN+kyd2rbBVwRFBaSy+ONgGuBsDec
P0yFH4GD7zZ7Q06HL2aUUdjqhlcMjY6cH+AKTIlPKEBDyVTDRgDx+j+wN2bGdAy8
3AcZPAHqEGpvENiEoPljt8XZWBAS3lKBDYM7zkqz+3ZWxORbd7BKiRXvtaZ9mfJb
fjzMG2d3L/Rd7rDGEXRxDaq6kxuH0Ff0WJR2UFi+9Rdlpd+JPLLnwsFI4gy+5/sZ
GMcLXyYh9mz+oElhfvZd
=x5S3
-----END PGP SIGNATURE-----

Revision history for this message
Scott Moser (smoser) wrote :

I've got a branch ready to propose, but at the moment lp:ubuntu/python-boto is in a bad state, and that will be fixed under bug
788736
.

Revision history for this message
Scott Moser (smoser) wrote :

I'm attaching the suggested debdiff. After bzr branch is sorted, I'll propose a merge of this.

tags: added: patch
Revision history for this message
Scott Moser (smoser) wrote :

OK, I'm not waiting on the branch to get sorted now. Please sponsor the attached debdiff.

Changed in python-boto (Ubuntu):
status: In Progress → Confirmed
assignee: Scott Moser (smoser) → nobody
Revision history for this message
Scott Moser (smoser) wrote :

This is the proposed debdiff. Please sponsor.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-boto - 1.9b-4ubuntu1

---------------
python-boto (1.9b-4ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #788651). Remaining changes:
    - debian/rules: Run testsuite during build but ignore failures
      since it currently doesn't pass.
    - boto/ec2/snapshot.py: work around non-int data in volumeSize
      returned from Eucalyptus. LP: #520707.
    - boto/connection.py: Handle 2.7 the same way as 2.6 for httplib
      compatibility. LP: #688773.
    - boto/cloudfront/__init__.py, boto/connection.py: use
      email.utils.formatdate(usegmt=True) instead of strftime as the latter
      breaks when boto is used from application setting up locales (like
      bpython or ipython); upstream issue #140.
  * boto.egg-info/SOURCES.txt: add last EOL, as it is now in debian
 -- Scott Moser <email address hidden> Thu, 26 May 2011 11:35:47 -0400

Changed in python-boto (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers